These docs are for v3. Click to read the latest docs for v4.

Create Wallet Order Reservation

Lock in wallet order via API before allowing widget operation

Wallet Order Reservations are required before processing cards. A successful Wallet Order Reservation will return a URL of the hosted widget which can be presented to your users and a reservation identifier if you choose to use a white-label card processing API solution.

To quote a different sourceCurrency please set it to a supported presentment currency (e.g. USD, GBP, EUR, etc).

There are two ways to specify the amount field:

  • amount (will always be the fiat amount without fees included, so amountIncludeFees should NOT be passed in the request)
  • sourceAmount/destAmount (fiat/crypto amount respectively, use only one, not both)

When sourceAmount/destAmount is specified, amountIncludeFees is mandatory. This informs whether the amount has fees already included or not.

How amountIncludeFees Works:

amountIncludeFees = false
Fees are added on top: $100 + fees will be charged to the user. The user receives the full $100 in value.

amountIncludeFees = true
Fees will be subtracted from the amount: $100 - fees will be sent to the user's wallet. The user receives the amount less the fees.

See the Wallet Order Reservations Guide.

Body Params
string

Order amount (without rates locking)

string

Such as USD, GBP, EUR, CAD, AUD (any presentment currency)

string

Destination currency to be supplied

string

SRN of appropriate destination

string

Buyer's first name

string

Buyer's last name (family name)

string

Valid phone number (in E.164 format)

string

Valid email address

string

Country code (Alpha-2)

string

Valid US zip code or postal code

string

Alpha-2 state code in uppercase for USA

string

City name

string

Valid street address

lockFields
array of strings

Possible values are ["amount", "sourceCurrency", "destCurrency", "dest", "street1", "city", "state", "postalCode", "country", "firstName", "lastName", "phone", "email","paymentMethod"]

lockFields
string

Any valid HTTP URL

string

Any valid HTTP URL

string

Possible values are debit-card or apple-pay or ach-transfer

string
required

Account identifier of the owner of the authentication

string

User SRN for the user you would like to create the reservation on behalf of

string

Your own optional reference identifier (useful for webhooks)

boolean

Used to disable the track button at the complete page

string

The fiat amount

string

The crypto amount

boolean

Specify if the sourceAmount or destAmount will include fees or not

Response

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json